### org.jfree.layouting.input.style.keys.text

# Class TextStyleKeys

- `java.lang.Object`
- - `org.jfree.layouting.input.style.keys.text.TextStyleKeys`

`public class TextStyleKeys`
`extends java.lang.Object`

http://www.w3.org/TR/css3-text/
and http://www.w3.org/TR/2003/CR-css3-text-20030514/

Text needs to be changed, as the Working-draft is more than just incomplete. TextShadow is not supported yet.

Author:
  Thomas Morgner

See Also:
  `http://www.unicode.org/unicode/reports/tr9/tr9-11.html`

  ## Field Summary

  `static StyleKey`

  `BLOCK_PROGRESSION`

  `static StyleKey`

  `DIRECTION`

  `static StyleKey`

  `EXCEL_WRAP_TEXT`

  `static StyleKey`

  `GLYPH_ORIENTATION_HORIZONTAL`

  `static StyleKey`

  `GLYPH_ORIENTATION_VERTICAL`

  `static StyleKey`

  `HANGING_PUNCTUATION`

  `static StyleKey`

  `HYPHENATE`

  `static StyleKey`

  `KERNING_MODE`

  `static StyleKey`

  `KERNING_PAIR_THRESHOLD`

  `static StyleKey`

  `LETTER_SPACING`

  `static StyleKey`

  `LINE_GRID_MODE`

  `static StyleKey`

  `LINE_GRID_PROGRESSION`

  `static StyleKey`

  `PUNCTUATION_TRIM`
    Asian fonts only

  `static StyleKey`

  `TEXT_ALIGN`

  `static StyleKey`

  `TEXT_ALIGN_LAST`

  `static StyleKey`

  `TEXT_AUTO_SPACE`
    Asian fonts only

  `static StyleKey`

  `TEXT_BLINK`

  `static StyleKey`

  `TEXT_COMBINE`

  `static StyleKey`

  `TEXT_EMPHASIZE_POSITION`

  `static StyleKey`

  `TEXT_EMPHASIZE_TYPE`

  `static StyleKey`

  `TEXT_INDENT`

  `static StyleKey`

  `TEXT_JUSTIFY`

  `static StyleKey`

  `TEXT_JUSTIFY_TRIM`
    todo: For asian scripts; not yet used.

  `static StyleKey`

  `TEXT_KASHIDA_SPACE`
    Arabic script specific

  `static StyleKey`

  `TEXT_LINE_THROUGH_COLOR`

  `static StyleKey`

  `TEXT_LINE_THROUGH_MODE`

  `static StyleKey`

  `TEXT_LINE_THROUGH_STYLE`

  `static StyleKey`

  `TEXT_LINE_THROUGH_WIDTH`

  `static StyleKey`

  `TEXT_OVERFLOW_ELLIPSIS`

  `static StyleKey`

  `TEXT_OVERFLOW_MODE`

  `static StyleKey`

  `TEXT_OVERLINE_COLOR`

  `static StyleKey`

  `TEXT_OVERLINE_MODE`

  `static StyleKey`

  `TEXT_OVERLINE_STYLE`

  `static StyleKey`

  `TEXT_OVERLINE_WIDTH`

  `static StyleKey`

  `TEXT_SCRIPT`

  `static StyleKey`

  `TEXT_TRANSFORM`

  `static StyleKey`

  `TEXT_UNDERLINE_COLOR`

  `static StyleKey`

  `TEXT_UNDERLINE_MODE`

  `static StyleKey`

  `TEXT_UNDERLINE_POSITION`

  `static StyleKey`

  `TEXT_UNDERLINE_STYLE`

  `static StyleKey`

  `TEXT_UNDERLINE_WIDTH`

  `static StyleKey`

  `TEXT_WRAP`

  `static StyleKey`

  `UNICODE_BIDI`

  `static StyleKey`

  `WHITE_SPACE_COLLAPSE`
    This property declares whether and how white space inside the element is collapsed.

  `static StyleKey`

  `WORD_BREAK`

  `static StyleKey`

  `WORD_SPACING`

  `static StyleKey`

  `WORD_WRAP`

  `static StyleKey`

  `X_BLOCK_TEXT_OVERFLOW_ELLIPSIS`

  `static StyleKey`

  `X_LINE_TEXT_OVERFLOW_ELLIPSIS`

  `static StyleKey`

  `X_MAX_LETTER_SPACING`

  `static StyleKey`

  `X_MAX_WORD_SPACING`

  `static StyleKey`

  `X_MIN_LETTER_SPACING`

  `static StyleKey`

  `X_MIN_WORD_SPACING`

  `static StyleKey`

  `X_OPTIMUM_LETTER_SPACING`

  `static StyleKey`

  `X_OPTIMUM_WORD_SPACING`

## Field Details

### BLOCK_PROGRESSION

    public static final StyleKey BLOCK_PROGRESSION

### DIRECTION

    public static final StyleKey DIRECTION

### EXCEL_WRAP_TEXT

    public static final StyleKey EXCEL_WRAP_TEXT

### GLYPH_ORIENTATION_HORIZONTAL

    public static final StyleKey GLYPH_ORIENTATION_HORIZONTAL

### GLYPH_ORIENTATION_VERTICAL

    public static final StyleKey GLYPH_ORIENTATION_VERTICAL

### HANGING_PUNCTUATION

    public static final StyleKey HANGING_PUNCTUATION

### HYPHENATE

    public static final StyleKey HYPHENATE

### KERNING_MODE

    public static final StyleKey KERNING_MODE

### KERNING_PAIR_THRESHOLD

    public static final StyleKey KERNING_PAIR_THRESHOLD

### LETTER_SPACING

    public static final StyleKey LETTER_SPACING

### LINE_GRID_MODE

    public static final StyleKey LINE_GRID_MODE

### LINE_GRID_PROGRESSION

    public static final StyleKey LINE_GRID_PROGRESSION

### PUNCTUATION_TRIM

    public static final StyleKey PUNCTUATION_TRIM

> Asian fonts only

### TEXT_ALIGN

    public static final StyleKey TEXT_ALIGN

### TEXT_ALIGN_LAST

    public static final StyleKey TEXT_ALIGN_LAST

### TEXT_AUTO_SPACE

    public static final StyleKey TEXT_AUTO_SPACE

> Asian fonts only

### TEXT_BLINK

    public static final StyleKey TEXT_BLINK

### TEXT_COMBINE

    public static final StyleKey TEXT_COMBINE

### TEXT_EMPHASIZE_POSITION

    public static final StyleKey TEXT_EMPHASIZE_POSITION

### TEXT_EMPHASIZE_TYPE

    public static final StyleKey TEXT_EMPHASIZE_TYPE

### TEXT_INDENT

    public static final StyleKey TEXT_INDENT

### TEXT_JUSTIFY

    public static final StyleKey TEXT_JUSTIFY

### TEXT_JUSTIFY_TRIM

    public static final StyleKey TEXT_JUSTIFY_TRIM

> todo: For asian scripts; not yet used.

### TEXT_KASHIDA_SPACE

    public static final StyleKey TEXT_KASHIDA_SPACE

> Arabic script specific

### TEXT_LINE_THROUGH_COLOR

    public static final StyleKey TEXT_LINE_THROUGH_COLOR

### TEXT_LINE_THROUGH_MODE

    public static final StyleKey TEXT_LINE_THROUGH_MODE

### TEXT_LINE_THROUGH_STYLE

    public static final StyleKey TEXT_LINE_THROUGH_STYLE

### TEXT_LINE_THROUGH_WIDTH

    public static final StyleKey TEXT_LINE_THROUGH_WIDTH

### TEXT_OVERFLOW_ELLIPSIS

    public static final StyleKey TEXT_OVERFLOW_ELLIPSIS

### TEXT_OVERFLOW_MODE

    public static final StyleKey TEXT_OVERFLOW_MODE

### TEXT_OVERLINE_COLOR

    public static final StyleKey TEXT_OVERLINE_COLOR

### TEXT_OVERLINE_MODE

    public static final StyleKey TEXT_OVERLINE_MODE

### TEXT_OVERLINE_STYLE

    public static final StyleKey TEXT_OVERLINE_STYLE

### TEXT_OVERLINE_WIDTH

    public static final StyleKey TEXT_OVERLINE_WIDTH

### TEXT_SCRIPT

    public static final StyleKey TEXT_SCRIPT

### TEXT_TRANSFORM

    public static final StyleKey TEXT_TRANSFORM

### TEXT_UNDERLINE_COLOR

    public static final StyleKey TEXT_UNDERLINE_COLOR

### TEXT_UNDERLINE_MODE

    public static final StyleKey TEXT_UNDERLINE_MODE

### TEXT_UNDERLINE_POSITION

    public static final StyleKey TEXT_UNDERLINE_POSITION

### TEXT_UNDERLINE_STYLE

    public static final StyleKey TEXT_UNDERLINE_STYLE

### TEXT_UNDERLINE_WIDTH

    public static final StyleKey TEXT_UNDERLINE_WIDTH

### TEXT_WRAP

    public static final StyleKey TEXT_WRAP

### UNICODE_BIDI

    public static final StyleKey UNICODE_BIDI

### WHITE_SPACE_COLLAPSE

    public static final StyleKey WHITE_SPACE_COLLAPSE

> This property declares whether and how white space inside the element is collapsed. Values have the following meanings:

> - collapse

>   This value directs user agents to collapse sequences of white space into a single character (or in some cases, no character).
> - preserve

>   This value prevents user agents from collapsing sequences of white space. Line breaks are preserved.
> - preserve-breaks

>   This value collapses white space as for 'collapse', but preserves line breaks.
> - discard

>   This value directs user agents to discard all white space in the element.
> See Also:
>   `http://www.w3.org/TR/css3-text/.white-space-rules`

### WORD_BREAK

    public static final StyleKey WORD_BREAK

### WORD_SPACING

    public static final StyleKey WORD_SPACING

### WORD_WRAP

    public static final StyleKey WORD_WRAP

### X_BLOCK_TEXT_OVERFLOW_ELLIPSIS

    public static final StyleKey X_BLOCK_TEXT_OVERFLOW_ELLIPSIS

### X_LINE_TEXT_OVERFLOW_ELLIPSIS

    public static final StyleKey X_LINE_TEXT_OVERFLOW_ELLIPSIS

### X_MAX_LETTER_SPACING

    public static final StyleKey X_MAX_LETTER_SPACING

### X_MAX_WORD_SPACING

    public static final StyleKey X_MAX_WORD_SPACING

### X_MIN_LETTER_SPACING

    public static final StyleKey X_MIN_LETTER_SPACING

### X_MIN_WORD_SPACING

    public static final StyleKey X_MIN_WORD_SPACING

### X_OPTIMUM_LETTER_SPACING

    public static final StyleKey X_OPTIMUM_LETTER_SPACING

### X_OPTIMUM_WORD_SPACING

    public static final StyleKey X_OPTIMUM_WORD_SPACING